Board is first created with empty array, then with real JSON
Closed, ResolvedPublic

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF added a subscriber: Mattflaschen-WMF.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 20 2015, 8:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope triaged this task as Normal priority.Aug 26 2015, 11:55 PM
Catrope added a subscriber: Catrope.

@matthiasmullie said he was going to look at this.

Change 234515 had a related patch set uploaded (by Matthias Mullie):
Make sure flow entries are created with correct content

https://gerrit.wikimedia.org/r/234515

Change 234515 merged by jenkins-bot:
Make sure flow entries are created with correct content

https://gerrit.wikimedia.org/r/234515

Checked in betalabs. Created a new board Talk:ET46 and added one topic:

https://en.wikipedia.beta.wmflabs.org/w/api.php?action=query&prop=revisions&titles=Talk:ET46&rvlimit=10&rvprop=ids|flags|timestamp|user|comment|content

{
    "batchcomplete": "",
    "query": {
        "pages": {
            "127115": {
                "pageid": 127115,
                "ns": 1,
                "title": "Talk:ET46",
                "revisions": [
                    {
                        "revid": 259430,
                        "parentid": 0,
                        "user": "Flow talk page manager",
                        "timestamp": "2015-09-02T19:14:24Z",
                        "comment": "/* This page has been converted into a Flow discussion board */",
                        "contentformat": "application/json",
                        "contentmodel": "flow-board",
                        "*": "{\"flow-workflow\":\"so6hd9kxob9w5duz\"}"
                    }
                ]
            }
        }
    }
}

Note: just an example of deleted empty board https://en.wikipedia.beta.wmflabs.org/w/api.php?action=query&prop=revisions&titles=Talk:ET47&rvlimit=10&rvprop=ids|flags|timestamp|user|comment|content :

{
    "batchcomplete": "",
    "query": {
        "pages": {
            "-1": {
                "ns": 1,
                "title": "Talk:ET47",
                "missing": ""
            }
        }
    }
}
DannyH closed this task as Resolved.Sep 2 2015, 10:43 PM
DannyH added a subscriber: DannyH.